Index: view/config.py
===================================================================
--- prview/config.py	(revision f3d51f6ec6277f40c94acc80d658917deab47a7a)
+++ 	(revision )
@@ -1,55 +1,0 @@
-"""
-    Application settings
-"""
-import time
-
-# Version of the application
-__appname__ = "PrView"
-__version__ = '0.1.0'
-__download_page__ = 'http://danse.chem.utk.edu'
-
-
-# Debug message flag
-__EVT_DEBUG__ = True
-
-# Flag for automated testing
-__TEST__ = False
-
-# Debug message should be written to a file?
-__EVT_DEBUG_2_FILE__   = False
-__EVT_DEBUG_FILENAME__ = "debug.log"
-
-# About box info
-_do_aboutbox=True
-_acknowledgement =  \
-'''This software was developed by the University of Tennessee as part of the
-Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-project funded by the US National Science Foundation. 
-
-'''
-_homepage = "http://danse.chem.utk.edu"
-_download = "http://danse.chem.utk.edu/sansview.html"
-_authors = []
-_paper = "http://danse.us/trac/sans/newticket"
-_license = "mailto:sansdanse@gmail.com"
-_nsf_logo = "images/nsf_logo.png"
-_danse_logo = "images/danse_logo.png"
-_inst_logo = "images/utlogo.gif"
-_nsf_url = "http://www.nsf.gov"
-_danse_url = "http://www.cacr.caltech.edu/projects/danse/release/index.html"
-_inst_url = "http://www.utk.edu"
-_corner_image = "images/angles_flat.png"
-_copyright = "(c) 2008, University of Tennessee"
-
-import wx.lib.newevent
-(StatusBarEvent, EVT_STATUS) = wx.lib.newevent.NewEvent()
-
-def printEVT(message):
-    if __EVT_DEBUG__:
-        print "%g:  %s" % (time.clock(), message)
-        
-        if __EVT_DEBUG_2_FILE__:
-            out = open(__EVT_DEBUG_FILENAME__, 'a')
-            out.write("%10g:  %s\n" % (time.clock(), message))
-            out.close()
-            
Index: prview/config_removed.py
===================================================================
--- prview/config_removed.py	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
+++ prview/config_removed.py	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
@@ -0,0 +1,55 @@
+"""
+    Application settings
+"""
+import time
+
+# Version of the application
+__appname__ = "PrView"
+__version__ = '0.1.1'
+__download_page__ = 'http://danse.chem.utk.edu'
+
+
+# Debug message flag
+__EVT_DEBUG__ = True
+
+# Flag for automated testing
+__TEST__ = False
+
+# Debug message should be written to a file?
+__EVT_DEBUG_2_FILE__   = False
+__EVT_DEBUG_FILENAME__ = "debug.log"
+
+# About box info
+_do_aboutbox=True
+_acknowledgement =  \
+'''This software was developed by the University of Tennessee as part of the
+Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
+project funded by the US National Science Foundation. 
+
+'''
+_homepage = "http://danse.chem.utk.edu"
+_download = "http://danse.chem.utk.edu/sansview.html"
+_authors = []
+_paper = "http://danse.us/trac/sans/newticket"
+_license = "mailto:sansdanse@gmail.com"
+_nsf_logo = "images/nsf_logo.png"
+_danse_logo = "images/danse_logo.png"
+_inst_logo = "images/utlogo.gif"
+_nsf_url = "http://www.nsf.gov"
+_danse_url = "http://www.cacr.caltech.edu/projects/danse/release/index.html"
+_inst_url = "http://www.utk.edu"
+_corner_image = "images/angles_flat.png"
+_copyright = "(c) 2008, University of Tennessee"
+
+import wx.lib.newevent
+(StatusBarEvent, EVT_STATUS) = wx.lib.newevent.NewEvent()
+
+def printEVT(message):
+    if __EVT_DEBUG__:
+        print "%g:  %s" % (time.clock(), message)
+        
+        if __EVT_DEBUG_2_FILE__:
+            out = open(__EVT_DEBUG_FILENAME__, 'a')
+            out.write("%10g:  %s\n" % (time.clock(), message))
+            out.close()
+            
Index: prview/license.txt
===================================================================
--- prview/license.txt	(revision f3d51f6ec6277f40c94acc80d658917deab47a7a)
+++ prview/license.txt	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
@@ -7,9 +7,9 @@
 the following paper in your publication:
 
-P. Butler, M. Doucet, G. Alina, J. Zhou, "SANS analysis software", 
-to be published.
+P. Butler, M. Doucet, G. Alina, R. Cortes Hernandez, J. Zhou, 
+"SANS analysis software", to be published.
 
 See the DANSE project web site for license information:
 http://wiki.cacr.caltech.edu/danse/index.php/Main_Page
 
-copyright 2007, University of Tennessee for the DANSE project
+copyright 2008, University of Tennessee for the DANSE project
Index: prview/local_config.py
===================================================================
--- prview/local_config.py	(revision 4a5de6fb907873c63516b0763785b44c8d1f5c15)
+++ prview/local_config.py	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
@@ -6,5 +6,5 @@
 # Version of the application
 __appname__ = "PrView"
-__version__ = '0.1.0'
+__version__ = '0.1.1'
 __download_page__ = 'http://danse.chem.utk.edu'
 
Index: prview/perspectives/pr/inversion_panel.py
===================================================================
--- prview/perspectives/pr/inversion_panel.py	(revision 3fd1ebccadc65f6073d98a1deb5f2d95863bd4d2)
+++ prview/perspectives/pr/inversion_panel.py	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
@@ -122,17 +122,22 @@
         
         ## Data file TextCtrl
-        self.data_file = None
-        self.plot_data = None
-        self.nfunc_ctl = None
-        self.alpha_ctl = None
-        self.dmax_ctl  = None
-        self.time_ctl  = None
-        self.chi2_ctl  = None
-        self.osc_ctl  = None
+        self.data_file  = None
+        self.plot_data  = None
+        self.nfunc_ctl  = None
+        self.alpha_ctl  = None
+        self.dmax_ctl   = None
+        self.time_ctl   = None
+        self.chi2_ctl   = None
+        self.osc_ctl    = None
         self.file_radio = None
         self.plot_radio = None
         self.label_sugg = None
-        self.qmin_ctl = None
-        self.qmax_ctl = None
+        self.qmin_ctl   = None
+        self.qmax_ctl   = None
+        
+        self.rg_ctl     = None
+        self.iq0_ctl    = None
+        self.bck_chk    = None
+        self.bck_ctl    = None
         
         # TextCtrl for fraction of positive P(r)
@@ -164,11 +169,17 @@
             self.alpha_ctl.SetValue(str(value))
         elif name=='chi2':
-            self.chi2_ctl.SetValue("%-5.3g" % value)
+            self.chi2_ctl.SetValue("%-5.2g" % value)
+        elif name=='bck':
+            self.bck_ctl.SetValue("%-5.2g" % value)
         elif name=='q_min':
-            self.qmin_ctl.SetValue("%-5.3g" % value)
+            self.qmin_ctl.SetValue("%-5.2g" % value)
         elif name=='q_max':
-            self.qmax_ctl.SetValue("%-5.3g" % value)
+            self.qmax_ctl.SetValue("%-5.2g" % value)
         elif name=='elapsed':
             self.time_ctl.SetValue("%-5.2g" % value)
+        elif name=='rg':
+            self.rg_ctl.SetValue("%-5.2g" % value)
+        elif name=='iq0':
+            self.iq0_ctl.SetValue("%-5.2g" % value)
         elif name=='oscillation':
             self.osc_ctl.SetValue("%-5.2g" % value)
@@ -219,4 +230,9 @@
             except:
                 return -1.0
+        elif name=='bck':
+            try:
+                return float(self.bck_ctl.GetValue())
+            except:
+                return -1.0
         elif name=='q_min':
             try:
@@ -232,4 +248,14 @@
             try:
                 return float(self.time_ctl.GetValue())
+            except:
+                return -1.0
+        elif name=='rg':
+            try:
+                return float(self.rg_ctl.GetValue())
+            except:
+                return -1.0
+        elif name=='iq0':
+            try:
+                return float(self.iq0_ctl.GetValue())
             except:
                 return -1.0
@@ -275,5 +301,8 @@
 
         iy = 0
-        self.file_radio = wx.RadioButton(self, -1, "File data:")
+        if self.standalone==False:
+            self.file_radio = wx.RadioButton(self, -1, "File data:")
+        else:
+            self.file_radio = wx.StaticText(self, -1, "Data file:")
         self.data_file = wx.TextCtrl(self, -1, size=(100,20))
         self.data_file.SetEditable(False)
@@ -283,5 +312,6 @@
         self.Bind(wx.EVT_BUTTON, self._change_file, id = id)   
         pars_sizer.Add(self.file_radio, (iy,0), (1,1), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        pars_sizer.Add(self.data_file, (iy,1), (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        #pars_sizer.Add(self.data_file, (iy,1), (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        pars_sizer.Add(self.data_file, (iy,1), (1,1), wx.ADJUST_MINSIZE, 15)
         pars_sizer.Add(choose_button, (iy,3), (1,1), wx.RIGHT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         
@@ -294,6 +324,42 @@
             pars_sizer.Add(self.plot_data, (iy,1), (1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         
-        boxsizer1.Add(pars_sizer, 0, wx.EXPAND)
+        self.bck_chk = wx.CheckBox(self, -1, "Estimate background level")
+        self.bck_chk.SetToolTipString("Check box to let the fit estimate the constant background level.")
+        self.bck_chk.Bind(wx.EVT_CHECKBOX, self._on_pars_changed)
+        iy += 1
+        pars_sizer.Add(self.bck_chk, (iy,0), (1,2), wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
+        boxsizer1.Add(pars_sizer, 0, wx.EXPAND)  
         vbox.Add(boxsizer1)
+        
+        # ----- Add slit parameters -----
+        if False:
+            sbox = wx.StaticBox(self, -1, "Slit parameters")
+            sboxsizer = wx.StaticBoxSizer(sbox, wx.VERTICAL)
+            sboxsizer.SetMinSize((320,20))
+            
+            sizer_slit = wx.GridBagSizer(5,5)
+    
+            label_sheight = wx.StaticText(self, -1, "Height")
+            label_swidth = wx.StaticText(self, -1, "Width")
+            #label_sunits1 = wx.StaticText(self, -1, "[A^(-1)]")
+            label_sunits2 = wx.StaticText(self, -1, "[A^(-1)]")
+            self.sheight_ctl = wx.TextCtrl(self, -1, size=(60,20))
+            self.swidth_ctl = wx.TextCtrl(self, -1, size=(60,20))
+            self.sheight_ctl.SetToolTipString("Enter slit height in units of Q or leave blank.")
+            self.swidth_ctl.SetToolTipString("Enter slit width in units of Q or leave blank.")
+            self.sheight_ctl.Bind(wx.EVT_TEXT, self._on_pars_changed)
+            self.swidth_ctl.Bind(wx.EVT_TEXT,  self._on_pars_changed)
+            
+            iy = 0
+            sizer_slit.Add(label_sheight,    (iy,0), (1,1), wx.LEFT|wx.EXPAND, 15)
+            sizer_slit.Add(self.sheight_ctl, (iy,1), (1,1), wx.LEFT|wx.EXPAND, 10)
+            #sizer_slit.Add(label_sunits1,    (iy,2), (1,1), wx.LEFT|wx.EXPAND, 10)
+            sizer_slit.Add(label_swidth,     (iy,2), (1,1), wx.LEFT|wx.EXPAND, 15)
+            sizer_slit.Add(self.swidth_ctl,  (iy,3), (1,1), wx.LEFT|wx.EXPAND, 10)
+            sizer_slit.Add(label_sunits2,    (iy,4), (1,1), wx.LEFT|wx.EXPAND, 10)
+            
+            sboxsizer.Add(sizer_slit, wx.TOP, 15)
+            vbox.Add(sboxsizer)
+        
 
         # ----- Parameters -----
@@ -335,9 +401,15 @@
         
         # EVT_TEXT would trigger an event for each character entered
-        self.nfunc_ctl.Bind(wx.EVT_KILL_FOCUS, self._on_pars_changed)
-        self.alpha_ctl.Bind(wx.EVT_KILL_FOCUS, self._read_pars)
-        self.dmax_ctl.Bind(wx.EVT_KILL_FOCUS, self._on_pars_changed)
+        #self.nfunc_ctl.Bind(wx.EVT_KILL_FOCUS, self._on_pars_changed)
+        #self.alpha_ctl.Bind(wx.EVT_KILL_FOCUS, self._read_pars)
+        #self.dmax_ctl.Bind(wx.EVT_KILL_FOCUS, self._on_pars_changed)
         #self.dmax_ctl.Bind(wx.EVT_TEXT_ENTER, self._on_pars_changed)
         #self.Bind(wx.EVT_TEXT_ENTER, self._on_pars_changed)
+        
+        self.nfunc_ctl.Bind(wx.EVT_TEXT, self._on_pars_changed)
+        self.alpha_ctl.Bind(wx.EVT_TEXT, self._read_pars)
+        self.dmax_ctl.Bind(wx.EVT_TEXT, self._on_pars_changed)
+        
+        
         
         sizer_params = wx.GridBagSizer(5,5)
@@ -369,14 +441,20 @@
         label_qmin = wx.StaticText(self, -1, "Q min")
         label_qmax = wx.StaticText(self, -1, "Q max")
+        #label_qunits1 = wx.StaticText(self, -1, "[A^(-1)]")
+        label_qunits2 = wx.StaticText(self, -1, "[A^(-1)]")
         self.qmin_ctl = wx.TextCtrl(self, -1, size=(60,20))
         self.qmax_ctl = wx.TextCtrl(self, -1, size=(60,20))
-        self.qmin_ctl.Bind(wx.EVT_KILL_FOCUS, self._on_pars_changed)
-        self.qmax_ctl.Bind(wx.EVT_KILL_FOCUS, self._on_pars_changed)
+        self.qmin_ctl.SetToolTipString("Select a lower bound for Q or leave blank.")
+        self.qmax_ctl.SetToolTipString("Select an upper bound for Q or leave blank.")
+        self.qmin_ctl.Bind(wx.EVT_TEXT, self._on_pars_changed)
+        self.qmax_ctl.Bind(wx.EVT_TEXT, self._on_pars_changed)
         
         iy = 0
-        sizer_q.Add(label_qmin, (iy,0), (1,1), wx.LEFT|wx.EXPAND, 15)
+        sizer_q.Add(label_qmin,    (iy,0), (1,1), wx.LEFT|wx.EXPAND, 15)
         sizer_q.Add(self.qmin_ctl, (iy,1), (1,1), wx.LEFT|wx.EXPAND, 10)
-        sizer_q.Add(label_qmax, (iy,2), (1,1), wx.LEFT|wx.EXPAND, 15)
+        #sizer_q.Add(label_qunits1, (iy,2), (1,1), wx.LEFT|wx.EXPAND, 15)
+        sizer_q.Add(label_qmax,    (iy,2), (1,1), wx.LEFT|wx.EXPAND, 15)
         sizer_q.Add(self.qmax_ctl, (iy,3), (1,1), wx.LEFT|wx.EXPAND, 10)
+        sizer_q.Add(label_qunits2, (iy,4), (1,1), wx.LEFT|wx.EXPAND, 15)
         qboxsizer.Add(sizer_q, wx.TOP, 15)
         vbox.Add(qboxsizer)
@@ -388,4 +466,20 @@
         ressizer = wx.StaticBoxSizer(resbox, wx.VERTICAL)
         ressizer.SetMinSize((320,50))
+        
+        label_rg       = wx.StaticText(self, -1, "Rg")
+        label_rg_unit  = wx.StaticText(self, -1, "[A]")
+        label_iq0      = wx.StaticText(self, -1, "I(Q=0)")
+        label_iq0_unit = wx.StaticText(self, -1, "[A^(-1)]")
+        label_bck      = wx.StaticText(self, -1, "Background")
+        label_bck_unit = wx.StaticText(self, -1, "[A^(-1)]")
+        self.rg_ctl    = wx.TextCtrl(self, -1, size=(60,20))
+        self.rg_ctl.SetEditable(False)
+        self.rg_ctl.SetToolTipString("Radius of gyration for the computed P(r).")
+        self.iq0_ctl   = wx.TextCtrl(self, -1, size=(60,20))
+        self.iq0_ctl.SetEditable(False)
+        self.iq0_ctl.SetToolTipString("Scattering intensity at Q=0 for the computed P(r).")
+        self.bck_ctl   = wx.TextCtrl(self, -1, size=(60,20))
+        self.bck_ctl.SetEditable(False)
+        self.bck_ctl.SetToolTipString("Value of estimated constant background.")
         
         label_time = wx.StaticText(self, -1, "Computation time")
@@ -427,4 +521,16 @@
 
         iy = 0
+        sizer_res.Add(label_rg, (iy,0), (1,1), wx.LEFT|wx.EXPAND, 15)
+        sizer_res.Add(self.rg_ctl,   (iy,1), (1,1), wx.RIGHT|wx.EXPAND, 15)
+        sizer_res.Add(label_rg_unit,   (iy,2), (1,1), wx.RIGHT|wx.EXPAND, 15)
+        iy += 1
+        sizer_res.Add(label_iq0, (iy,0), (1,1), wx.LEFT|wx.EXPAND, 15)
+        sizer_res.Add(self.iq0_ctl,   (iy,1), (1,1), wx.RIGHT|wx.EXPAND, 15)
+        sizer_res.Add(label_iq0_unit,   (iy,2), (1,1), wx.RIGHT|wx.EXPAND, 15)
+        iy += 1
+        sizer_res.Add(label_bck, (iy,0), (1,1), wx.LEFT|wx.EXPAND, 15)
+        sizer_res.Add(self.bck_ctl,   (iy,1), (1,1), wx.RIGHT|wx.EXPAND, 15)
+        sizer_res.Add(label_bck_unit,   (iy,2), (1,1), wx.RIGHT|wx.EXPAND, 15)
+        iy += 1
         sizer_res.Add(label_time, (iy,0), (1,1), wx.LEFT|wx.EXPAND, 15)
         sizer_res.Add(self.time_ctl,   (iy,1), (1,1), wx.RIGHT|wx.EXPAND, 15)
@@ -472,6 +578,4 @@
 
         self.SetSizer(vbox)
-        
-
         
     def _on_accept_alpha(self, evt):
@@ -500,4 +604,7 @@
         self.qmax_ctl.SetValue("")
         self.time_ctl.SetValue("")
+        self.rg_ctl.SetValue("")
+        self.iq0_ctl.SetValue("")
+        self.bck_ctl.SetValue("")
         self.chi2_ctl.SetValue("")
         self.osc_ctl.SetValue("")
@@ -515,4 +622,5 @@
         """
         flag, alpha, dmax, nfunc, qmin, qmax = self._read_pars()
+        has_bck = self.bck_chk.IsChecked()
         
         # If the pars are valid, estimate alpha
@@ -522,10 +630,12 @@
                 self.manager.estimate_plot_inversion(alpha=alpha, nfunc=nfunc, 
                                                      d_max=dmax,
-                                                     q_min=qmin, q_max=qmax)
+                                                     q_min=qmin, q_max=qmax,
+                                                     bck=has_bck)
             else:
                 path = self.data_file.GetValue()
                 self.manager.estimate_file_inversion(alpha=alpha, nfunc=nfunc, 
                                                      d_max=dmax, path=path,
-                                                     q_min=qmin, q_max=qmax)
+                                                     q_min=qmin, q_max=qmax,
+                                                     bck=has_bck)
         
         
@@ -613,4 +723,5 @@
         
         flag, alpha, dmax, nfunc, qmin, qmax = self._read_pars()
+        has_bck = self.bck_chk.IsChecked()
         
         if flag:
@@ -623,5 +734,6 @@
                     self.manager.setup_plot_inversion(alpha=alpha, nfunc=nfunc, 
                                                       d_max=dmax,
-                                                      q_min=qmin, q_max=qmax)
+                                                      q_min=qmin, q_max=qmax,
+                                                      bck=has_bck)
             else:
                 path = self.data_file.GetValue()
@@ -632,6 +744,6 @@
                     self.manager.setup_file_inversion(alpha=alpha, nfunc=nfunc, 
                                                       d_max=dmax, path=path,
-                                                      q_min=qmin, q_max=qmax
-                                                      )
+                                                      q_min=qmin, q_max=qmax,
+                                                      bck=has_bck)
                 
         else:
@@ -649,5 +761,6 @@
             if path and os.path.isfile(path):
                 self.data_file.SetValue(str(path))
-                self.file_radio.SetValue(True)
+                if self.standalone==False:
+                    self.file_radio.SetValue(True)
                 self._on_pars_changed(None)
                 self.manager.show_data(path)
Index: prview/perspectives/pr/pr.py
===================================================================
--- prview/perspectives/pr/pr.py	(revision 9b85e93afb57e8349a9b4721f43af50ffe3603fc)
+++ prview/perspectives/pr/pr.py	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
@@ -45,4 +45,5 @@
         self.q_min      = None
         self.q_max      = None
+        self.has_bck    = False
         ## Remember last plottable processed
         self.last_data  = "sphere_60_q0_2.txt"
@@ -78,12 +79,4 @@
         """
         return []
-        import wx
-        shapes = wx.Menu()
-
-        id = wx.NewId()
-        shapes.Append(id, '&Sphere test')
-        wx.EVT_MENU(owner, id, self._fit_pr)
-        
-        return [(id, shapes, "P(r)")]
     
     def help(self, evt):
@@ -440,4 +433,7 @@
         self.control_panel.positive = pr.get_positive(out)
         self.control_panel.pos_err  = pr.get_pos_err(out, cov)
+        self.control_panel.rg = pr.rg(out)
+        self.control_panel.iq0 = pr.iq0(out)
+        self.control_panel.bck = pr.background
         
         for i in range(len(out)):
@@ -457,4 +453,12 @@
             wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot, title="Iq"))
                 
+        # Compute the fit I(Q=0)
+        try:
+            print "I(0) = ", self.pr.iq0(out)
+        except:
+            pass
+        
+        # Get R_g
+        print "Rg = ", self.pr.rg(out)
         # Show I(q) fit
         self.show_iq(out, self.pr)
@@ -485,5 +489,5 @@
 
         
-    def setup_plot_inversion(self, alpha, nfunc, d_max, q_min=None, q_max=None):
+    def setup_plot_inversion(self, alpha, nfunc, d_max, q_min=None, q_max=None, bck=False):
         self.alpha = alpha
         self.nfunc = nfunc
@@ -491,4 +495,5 @@
         self.q_min = q_min
         self.q_max = q_max
+        self.has_bck = bck
         
         try:
@@ -498,5 +503,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
 
-    def estimate_plot_inversion(self, alpha, nfunc, d_max, q_min=None, q_max=None):
+    def estimate_plot_inversion(self, alpha, nfunc, d_max, q_min=None, q_max=None, bck=False):
         self.alpha = alpha
         self.nfunc = nfunc
@@ -504,4 +509,5 @@
         self.q_min = q_min
         self.q_max = q_max
+        self.has_bck = bck
         
         try:
@@ -525,4 +531,5 @@
         pr.x = self.current_plottable.x
         pr.y = self.current_plottable.y
+        pr.has_bck = self.has_bck
         
         # Fill in errors if none were provided
@@ -540,5 +547,5 @@
 
           
-    def setup_file_inversion(self, alpha, nfunc, d_max, path, q_min=None, q_max=None):
+    def setup_file_inversion(self, alpha, nfunc, d_max, path, q_min=None, q_max=None, bck=False):
         self.alpha = alpha
         self.nfunc = nfunc
@@ -546,4 +553,5 @@
         self.q_min = q_min
         self.q_max = q_max
+        self.has_bck = bck
         
         try:
@@ -553,5 +561,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=sys.exc_value))
           
-    def estimate_file_inversion(self, alpha, nfunc, d_max, path, q_min=None, q_max=None):
+    def estimate_file_inversion(self, alpha, nfunc, d_max, path, q_min=None, q_max=None, bck=False):
         self.alpha = alpha
         self.nfunc = nfunc
@@ -559,4 +567,5 @@
         self.q_min = q_min
         self.q_max = q_max
+        self.has_bck = bck
         
         try:
@@ -586,4 +595,5 @@
             pr.y = y
             pr.err = err
+            pr.has_bck = self.has_bck
             
             self.pr = pr
Index: prview/release_notes.txt
===================================================================
--- prview/release_notes.txt	(revision e009ce1567397bc69a5d055a453da9c4fc113777)
+++ prview/release_notes.txt	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
@@ -6,5 +6,10 @@
 Package name: None
 
-1- Version 0.1.0
+1- Version 0.1.1
+
+	- Release date: 6/XX/2008
+	- First version put together built on guiframe.
+
+   Version 0.1.0
 
 	- Release date: 5/28/2008
Index: prview/setup_exe.py
===================================================================
--- prview/setup_exe.py	(revision 4a5de6fb907873c63516b0763785b44c8d1f5c15)
+++ prview/setup_exe.py	(revision a4bd2ac428ba5345218250ba095a498c80f9cd10)
@@ -14,4 +14,30 @@
 
 import py2exe
+
+manifest = """
+   <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+   <assembly xmlns="urn:schemas-microsoft-com:asm.v1"
+   manifestVersion="1.0">
+   <assemblyIdentity
+       version="0.64.1.0"
+       processorArchitecture="x86"
+       name="Controls"
+       type="win32"
+   />
+   <description>PrView</description>
+   <dependency>
+       <dependentAssembly>
+           <assemblyIdentity
+               type="win32"
+               name="Microsoft.Windows.Common-Controls"
+               version="6.0.0.0"
+               processorArchitecture="X86"
+               publicKeyToken="6595b64144ccf1df"
+               language="*"
+           />
+       </dependentAssembly>
+   </dependency>
+   </assembly>
+  """
 
     
@@ -59,4 +85,5 @@
     #other_resources = [(RT_MANIFEST, 1, manifest_template % dict(prog="AppJob"))],
     icon_resources = [(1, "images/ball.ico")],
+    other_resources = [(24,1,manifest)],
     dest_base = "prView"
     )
